Get a checkpoint
curl --request GET \
--url https://sailbox-api.sailresearch.com/v1/sailbox-checkpoints/{checkpoint_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://sailbox-api.sailresearch.com/v1/sailbox-checkpoints/{checkpoint_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sailbox-api.sailresearch.com/v1/sailbox-checkpoints/{checkpoint_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"checkpoint_id": "<string>",
"name": "<string>",
"sailbox_id": "<string>",
"app_id": "<string>",
"checkpoint_generation": 123,
"created_at": "2023-11-07T05:31:56Z",
"expires_at": "2023-11-07T05:31:56Z"
}{
"error": {
"message": "Invalid API key",
"type": "authentication_error",
"param": null,
"code": "invalid_api_key"
}
}{
"error": {
"message": "Your API key has been disabled due to insufficient credits. Visit https://app.sailresearch.com/billing to add credits.",
"type": "billing_error",
"param": null,
"code": "credits_exhausted",
"billing_url": "https://app.sailresearch.com/billing"
}
}{
"error": {
"message": "sailboxes require an organization-scoped API key",
"type": "permission_error",
"param": null,
"code": null
}
}{
"error": {
"message": "sailbox \"sb_9c8f1e2a-3b4d-4f5a-8c7e-1d2f3a4b5c6d\" not found",
"type": "not_found_error",
"param": null,
"code": null
}
}{
"error": {
"message": "Too many concurrent requests. Please retry after some of your organization's in-flight requests complete.",
"type": "rate_limit_error",
"param": null,
"code": "rate_limited"
}
}{
"error": {
"message": "failed to fetch sailbox",
"type": "server_error",
"param": null,
"code": null
}
}{
"error": {
"message": "Authentication service unavailable",
"type": "server_error",
"param": null,
"code": null
}
}Checkpoints
Get a checkpoint
Returns one checkpoint. An expired or deleted checkpoint is not found.
GET
/
sailbox-checkpoints
/
{checkpoint_id}
Get a checkpoint
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
Success.
Id to pass when starting a Sailbox from this checkpoint.
The checkpoint's name, or null if it was not given one.
Sailbox the checkpoint was taken from.
App of the Sailbox the checkpoint was taken from.
The Sailbox's checkpoint counter as of this checkpoint. It goes up by one every time the Sailbox saves its state, which includes pausing and sleeping.
When the checkpoint expires. Starting a Sailbox from it after that fails.